% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{h_concat_expr}
\alias{h_concat_expr}
\title{Expression Deparsing}
\usage{
h_concat_expr(expr)
}
\arguments{
\item{expr}{(\code{call})\cr or an object which can be used as so.}
}
\value{
a \code{string}.
}
\description{
Deparse an expression into a \code{string}.
}
\examples{
expr <- quote({
  library(rtables)
  basic_table() \%>\%
    split_cols_by(var = "ARMCD") \%>\%
    test_proportion_diff(
      vars = "rsp", method = "cmh", variables = list(strata = "strata")
    ) \%>\%
    build_table(df = dta)
})

h_concat_expr(expr)
}
